Subject: Re: bug#59671: CC Mode 5.35.2 (C/*l); More incorrect type recognition

From: Po Lu <[email-masked]>
Date: Fri, 09 Dec 2022 09:05:35 +0800

Alan Mackenzie <[email-masked]> writes:

> Yes.  This is not good.  Please try out the attached patch which applies
> cleanly to the release branch (and almost certainly to the master branch
> too).  This should fix the problem, in that although "allocscratch" gets
> entered into c-found-types, it gets removed again as soon as a type and
> declarator are typed in after the typedef.

This works for my example but I've yet to use the patch in the real
world.  Thanks.